mlpack_hmm_generate(1)

NAME
mlpack_hmm_generate - hidden markov model (hmm) sequence generator

SYNOPSIS
 mlpack_hmm_generate -l int -m unknown [-s int] [-t int] [-V bool] [-o unknown] [-S unknown] [-h -v]

DESCRIPTION

This utility takes an already-trained HMM, specified as the '--model_file (-m)' parameter, and generates a random observation sequence and hidden state sequence based on its parameters. The observation sequence may be saved with the '--output_file (-o)' output parameter, and the internal state sequence may be saved with the '--state_file (-S)' output parameter.

The state to start the sequence in may be specified with the '--start_state (-t)' parameter.

For example, to generate a sequence of length 150 from the HMM 'hmm.bin' and save the observation sequence to 'observations.csv' and the hidden state sequence to 'states.csv', the following command may be used:

$ mlpack_hmm_generate --model_file hmm.bin --length 150 --output_file observations.csv --state_file states.csv

REQUIRED INPUT OPTIONS

--length (-l) [int]
    Length of sequence to generate.

--model_file (-m) [unknown]
    Trained HMM to generate sequences with.

OPTIONAL INPUT OPTIONS

--help (-h) [bool]
    Default help info.

--info [string]
    Print help on a specific option. Default value ''.

--seed (-s) [int]
    Random seed. If 0, 'std::time(NULL)' is used. Default value 0.

--start_state (-t) [int]
    Starting state of sequence. Default value 0.

--verbose (-v) [bool]
    Display informational messages and the full list of parameters and timers at the end of execution.

--version (-V) [bool]
    Display the version of mlpack.

OPTIONAL OUTPUT OPTIONS

--output_file (-o) [unknown] Matrix to save observation sequence to.

--state_file (-S) [unknown]
    Matrix to save hidden state sequence to.

ADDITIONAL INFORMATION

For further information, including relevant papers, citations, and theory, consult the documentation found at http://www.mlpack.org or included with your distribution of mlpack.